PROGRAM IniTest;
{Example program for ConfFiles unit. See also CookCfg,Aliasreader and readxf

   This is a program of the XTDLIB/FPC package
   COPYRIGHT (C) 1993..1998 by Marco van de Voort,  All Rights Reserved
   Free for non-commercial use. See license.txt.
   (www.stack.nl/~marcov/xtdlib.htm)
   Mail for commercial info.

Basic ini reader.

Reads an ini file which can have nested sections, into a tree in memory.
After that it rewrites the decomposed INI file back to disc.}

Uses ConfFiles,heaptrc;

Var IniConfigFile : TConfigTreeView;

BEGIN
 IniConfigFile:=TConfigTreeView.NewConfigFile;
 INCLUDE(IniConfigFile.Commentset,'#');
 EXCLUDE(IniConfigFile.KeySep,' ');                    {Allow spaces in key names}
 {If here IniIndent and ParamIndent are set to 0 to get (near) identical files,
 but I prefer the generated output
 IniConfigFile.IniIndent:=0;
 IniConfigFile.ParamIndent:=0;}
 IniConfigFile.IsINI:=TRUE;
 IniConfigFile.ReadConfig('4dos.ini');
 IniConfigFile.WriteTree('new4dos.ini');

 IniConfigFile.KillTree;
 IniConfigFile.KillConfigFile;
END.
