{ XTDLIB/FPC Configuration and conditionals include file}

{--------------CONFIGURATION------------}

{ Processor TYPE. defining I386 means intel 386 or higher, and this enables
  some optimized assembler routines. If you for debugging reasons want to
  disable the use of assembler procedures, $UNDEF Useasm in each unit in which
  you don't want to use assembler.}

{$DEFINE i386}

{Operating system Unix/Linux style or not.

   This switch affects:
   - Selecting forward or backslashes in diverse routines,
   - Avoid compiling some Go32 procedures in ELib under Linux.
   - EDos still exists under Linux, but is empty
   - alternative procedures/code is selected to be able to compile EWindow under
      Linux,
   - auto enables CONDITIONAL FindClose.

   Currently commented since compiler defines it.
   }

{ Undef linux}

{---------- end of used editable includes ----------------------

You shouldn't have to edit the conditionals below this point for a recent
snapshot.
}

{$ifndef i386}
{$UNDEF Useasm}             {If non-intel, then always disable assembler}
{$endif}

{Old Linux Crt versions (<=0.99.8) don't export the virtual screen buffer, and
                              have fixed 80x25 dimensions.
 Newer versions (half october snapshots) export virtual screen and dimensions}

{$UNDEF OldLinuxWin}
{$Ifdef VER0_99_5}
 {$DEFINE OldLinuxWin}
{$ENDIF}
{$IFDEF ver0_99_6}
 {$DEFINE OldLinuxWin}
{$ENDIF}
{$IFDEF ver0_99_7}
 {$DEFINE OldLinuxWin}
{$ENDIF}
{$Ifdef VER0_99_8}
 {$DEFINE OldLinuxWin} { 0.99.8 and earlier don't export virt. screen and
                              dimensions}
{$endif}

{ 0.99.9 and higher generate correct frames, except some very old versions of
0.99.9. }

{$IFDEF VER60}
 {$DEFINE Turbo}
{$ENDIF}

{$IFDEF VER70}
 {$DEFINE Turbo}
{$ENDIF}

{$IFDEF Turbo}
 {$UNDEF Linux} {As far as I know, BP doesn't compile for Linux}
{$ENDIF}


{$IFDEF Turbo}
 {$UNDEF Useasm}        { Don't try to compile 32-bits assembler routines
                           for Borland}
{$ENDIF}

{$UNDEF Closefind}
{$IFDEF Linux}
 {$DEFINE Closefind}
{$ENDIF}
{$IFDEF Win32}
 {$DEFINE Closefind}
{$ENDIF}
{$IFDEF go32v2}
 {$DEFINE Closefind}        { LFN system of Win95 requires FindClose}
{$ENDIF}

{---------- Old defines that are useful for older (0.99.8 and 0.99.9) versions.}

{$Ifdef VER0_99_11}
 {$DEFINE NOATTCDQ}
{$endif}
{$Ifdef VER0_99_11}
 {$DEFINE UseAnsiStrings}
{$endif}
{$Ifdef VER0_99_10}
 {$DEFINE NOATTCDQ}
{$endif}
{$Ifdef VER0_99_10}
 {$DEFINE UseAnsiStrings}
{$endif}
